DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Static Public Member Functions | Static Protected Member Functions | Static Protected Attributes | List of all members
DcmModuleHelpers Class Reference

This class contains helper functions that permit copying common modules from DICOM standard part 3 between DICOM datasets. More...

## Static Public Member Functions
static void | copyElement (const DcmTagKey &tag, DcmItem &src, DcmItem &dest)
| Copy element defined by tag from source item to destination item. More...
static void | copyPatientModule (DcmItem &src, DcmItem &dest)
| Copy Patient Module attributes. More...
static void | copyClinicalTrialSubjectModule (DcmItem &src, DcmItem &dest)
| Copy Clinical Trial Subject Module attributes. More...
static void | copyGeneralStudyModule (DcmItem &src, DcmItem &dest)
| Copy General Study Module attributes. More...
static void | copyPatientStudyModule (DcmItem &src, DcmItem &dest)
| Copy Patient Study Module attributes. More...
static void | copyClinicalTrialStudyModule (DcmItem &src, DcmItem &dest)
| Copy Clinical Trial Study Module attributes. More...
static void | copyGeneralSeriesModule (DcmItem &src, DcmItem &dest)
| Copy General Series Module attributes. More...
static void | copyClinicalTrialSeriesModule (DcmItem &src, DcmItem &dest)
| Copy Clinical Trial Series Module attributes. More...
static void | copyGeneralEquipmentModule (DcmItem &src, DcmItem &dest)
| Copy General Equipment Module attributes. More...
static void | copyFrameOfReferenceModule (DcmItem &src, DcmItem &dest)
| Copy Frame of Reference Module attributes. More...
static void | copySOPCommonModule (DcmItem &src, DcmItem &dest)
| Copy SOP Common Module attributes. More...
static void | copyGeneralImageModule (DcmItem &src, DcmItem &dest)
| Copy General Image Module attributes. More...

## Static Protected Member Functions
template<size_t N>
static void | copyModule (const DcmTagKey(&tags)[N], DcmItem &src, DcmItem &dest)
| Generic copy module helper method. More...

## Static Protected Attributes
static const DcmTagKey | patientModuleTags []
| List of tags within the Patient Module.
static const DcmTagKey | clinicalTrialSubjectModuleTags []
| List of tags within the Clinical Trial Subject Module.
static const DcmTagKey | generalStudyModuleTags []
| List of tags within the General Study Module.
static const DcmTagKey | patientStudyModuleTags []
| List of tags within the Patient Study Module.
static const DcmTagKey | clinicalTrialStudyModuleTags []
| List of tags within the Clinical Trial Study Module.
static const DcmTagKey | generalSeriesModuleTags []
| List of tags within the General Series Module.
static const DcmTagKey | clinicalTrialSeriesModuleTags []
| List of tags within the Clinical Trial Series Module.
static const DcmTagKey | generalEquipmentModuleTags []
| List of tags within the General Equipment Module.
static const DcmTagKey | frameOfReferenceModuleTags []
| List of tags within the Frame of Reference Module.
static const DcmTagKey | sopCommonModuleTags []
| List of tags within the SOP Common Module, excluding Digital Signatures Macro, i.e. MAC Parameters Sequence and Digital Signatures Sequence.
static const DcmTagKey | generalImageModuleTags []
| List of tags within the General Image Module.

## Detailed Description

This class contains helper functions that permit copying common modules from DICOM standard part 3 between DICOM datasets.

Note
  The attribute lists per module are taken from the final text version of DICOM 2013.

## Member Function Documentation

## ◆ copyClinicalTrialSeriesModule()

static void DcmModuleHelpers::copyClinicalTrialSeriesModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Clinical Trial Series Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyClinicalTrialStudyModule()

static void DcmModuleHelpers::copyClinicalTrialStudyModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Clinical Trial Study Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyClinicalTrialSubjectModule()

static void DcmModuleHelpers::copyClinicalTrialSubjectModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Clinical Trial Subject Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyElement()

static void DcmModuleHelpers::copyElement | ( | const DcmTagKey & | tag,
|  | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy element defined by tag from source item to destination item.

No in-depth search is performed but only the main level is searched for the given tag. If the tag is not found, the destination item is not touched at all.

Parameters

  tag | Tag key of the element to be copied
  src | Item that serves as a source for copying the element. In typical image objects, this will be the main dataset.
  dest | Item that serves as a destination for inserting the copied element, if found.

## ◆ copyFrameOfReferenceModule()

static void DcmModuleHelpers::copyFrameOfReferenceModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Frame of Reference Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyGeneralEquipmentModule()

static void DcmModuleHelpers::copyGeneralEquipmentModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy General Equipment Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyGeneralImageModule()

static void DcmModuleHelpers::copyGeneralImageModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy General Image Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the

destination item.

## ◆ copyGeneralSeriesModule()

static void DcmModuleHelpers::copyGeneralSeriesModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy General Series Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyGeneralStudyModule()

static void DcmModuleHelpers::copyGeneralStudyModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy General Study Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyModule()

template<size_t N>

static void DcmModuleHelpers::copyModule | ( | const DcmTagKey(&) | tags[N],
|  | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| inline static protected

Generic copy module helper method.

Parameters

  tags | Reference of array with tags to be copied
  src | The source item to read the attributes from
  dest | The target item to write the attributes to

## ◆ copyPatientModule()

static void DcmModuleHelpers::copyPatientModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Patient Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copyPatientStudyModule()

static void DcmModuleHelpers::copyPatientStudyModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy Patient Study Module attributes.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

## ◆ copySOPCommonModule()

static void DcmModuleHelpers::copySOPCommonModule | ( | DcmItem & | src,
|  | DcmItem & | dest
| ) |  |
| static

Copy SOP Common Module attributes.

Excludes: Digital Signatures Macro, i.e. MAC Parameters Sequence and Digital Signatures Sequence.

Parameters

  src | Item to copy module from. Only the main level is searched, i.e. no in-depth search is performed on the various tags.
  dest | Item to copy module to. An element not found within the source item will neither be created in the destination item, nor will any existing value be touched in the destination item.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modhelp.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1